﻿#pragma strict

var Player : GameObject;
var Weapon : GameObject;
var Zombie : Transform;
var Damaged: float = 1;
var Blood : Terrain;
var SpawnChance : float = 0.001;

function Start () {
	var h = Blood.terrainData.GetHeights(0,0, 1,1);
	//h[0,0] = 4;
	Blood.terrainData.SetHeights(0,0,h);
}

function Update () {

	
	var target : Target = (gameObject.GetComponent("Target") as Target);
	target.Armor = Mathf.Lerp(30000, 25000, Damaged);
	target.Regen = Mathf.Lerp(0.9, 0.5, Damaged);
	target.BloodPerHit = Mathf.Lerp(1, 50, Damaged);
	SpawnChance = Mathf.Lerp(0.05, 0.005, Damaged);
}

function FixedUpdate() {	
	gameObject.transform.localScale.x = Mathf.Lerp(
		gameObject.transform.localScale.x, 
		3.5 + 0.5 * Mathf.Abs(Mathf.Sin(Time.time * 1.111 * Mathf.PI)),
		0.5
	);
	if(Random.value < SpawnChance && Vector3.Distance(Player.transform.position, gameObject.transform.position) < 30) {
		var zombie : Transform = Instantiate(Zombie, gameObject.transform.position, Random.rotationUniform);
		(zombie.GetComponent("Tracker") as Tracker).Target = Player;
	}
}